## opendungeons 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

##################################
#### Project settings ############
##################################

project(opendungeons)

# Set a capitalized exe name on Windows
if(WIN32)
    set(PROJECT_BINARY_NAME "OpenDungeons")
else()
    set(PROJECT_BINARY_NAME "opendungeons")
endif()

set(AS_LIBRARY_NAME "angelscript")

# Project version
set(OD_MAJOR_VERSION 0)
set(OD_MINOR_VERSION 6)
set(OD_PATCH_LEVEL   0)

# Set the project version ready to be used in the code.
if(NOT MSVC)
    add_definitions(-DOD_VERSION="${OD_MAJOR_VERSION}.${OD_MINOR_VERSION}.${OD_PATCH_LEVEL}")
endif()

# Set the data path depending on the platform
if(WIN32)
    set(OD_DATA_PATH ".")
    set(OD_PLUGINS_CFG_PATH ".")
else()
    # Set binary and data install locations if we want to use the installer
    set(OD_BIN_PATH ${CMAKE_INSTALL_PREFIX}/games CACHE PATH "Absolute path to the game binary directory")
    set(OD_DATA_PATH ${CMAKE_INSTALL_PREFIX}/share/games/${PROJECT_NAME} CACHE PATH "Absolute path to the game data directory")
    set(OD_SHARE_PATH ${CMAKE_INSTALL_PREFIX}/share CACHE PATH "Absolute path to the shared data directory (desktop file, icons, etc.)")
    # Set the plugins.cfg file path to a common but architecture-dependent location.
    # Because the plugins.cfg Ogre plugins path path may vary depending on the architecture used.
    set(OD_PLUGINS_CFG_PATH /etc/${PROJECT_NAME} CACHE PATH "Absolute path to the Ogre plugins.cfg file")
endif()

if(NOT MSVC)
    # Set the data paths
    add_definitions(-DOD_DATA_PATH="${OD_DATA_PATH}")
    add_definitions(-DOD_PLUGINS_CFG_PATH="${OD_PLUGINS_CFG_PATH}")
endif()

# Where we want the binary
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR})

# Compilation options
option(OD_ENABLE_WARNINGS "Compile the game with all standard warnings enabled" ON)
option(OD_TREAT_WARNINGS_AS_ERRORS "Treat any warning seen while compiling as errors." ON)

# enable/disable unit tests
option(OD_BUILD_TESTING "Compile unit tests (to enable unit tests both this and BUILD_TESTING has to be on." OFF)

if(OD_BUILD_TESTING)
    include(CTest)
endif()

##################################
#### Useful variables ############
##################################

#project paths
set(SRC "${CMAKE_SOURCE_DIR}/source")
#set(DEPENDENCIES_DIR "${CMAKE_SOURCE_DIR}/dependencies")
#set(ANGELSCRIPT_DIR "${DEPENDENCIES_DIR}/angelscript")
#set(ANGELSCRIPT_SRC_DIR "${ANGELSCRIPT_DIR}/angelscript/source")
#set(ANGELSCRIPT_ADDON_DIR "${ANGELSCRIPT_DIR}/add_on")

#cmake paths
set(CMAKE_CONFIG_DIR "${CMAKE_SOURCE_DIR}/cmake/config")
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${CMAKE_SOURCE_DIR}/cmake/modules
    ${CMAKE_SOURCE_DIR}/cmake/modules/BoostTestTargets
)

if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "CMake build type is not set, defaulting to 'RelWithDebInfo'")
    set(CMAKE_BUILD_TYPE "RelWithDebInfo")
endif()

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
# For MSVC builds, the debug flags is added below.
    add_definitions("-DOD_DEBUG")
endif()

##################################
#### ExplicitCompilerFlags #######
##################################

# TODO: Use add_compiler_options instead of setting CMAKE_CXX_FLAGS

# CMAKE_CXX_FLAGS are meant to be defined using these two public strings
# This makes it possible to have them explicitly displayed in CMake GUI
# CMAKE_CXX_FLAGS can still be used to override our default defintions
set(OD_OPT_FLAGS CACHE STRING "Optimization and optional compilation flags")
set(OD_CXX11_FLAGS CACHE STRING "Compilation flags to enable C++11 support")

if(MSVC)
    # C++11 compilation flag is activated by default
    # Optimisation flags can be added if deemed useful
else()
    include(CheckCXXCompilerFlag)
    if(NOT OD_CXX11_FLAGS)
        CHECK_CXX_COMPILER_FLAG("-std=c++11" OD_CXX11_FLAG_SUPPORTED)
        # MinGW supports CXX11 flag but do not compile with it. However, it works with gnu++11
        if(OD_CXX11_FLAG_SUPPORTED AND NOT MINGW)
            set(OD_CXX11_FLAGS "-std=c++11" CACHE STRING "Compilation flags to enable C++11 support" FORCE)
        else()
            set(OD_CXX11_FLAGS "-std=gnu++11" CACHE STRING "Compilation flags to enable C++11 support" FORCE)
        endif()
    endif()
    if(OD_ENABLE_WARNINGS)
        # Help getting compilation warnings
        set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -Wall -Wcast-align -Wcast-qual -Wctor-dtor-privacy -Wdisabled-optimization -Wold-style-cast")
        set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -Woverloaded-virtual -Wredundant-decls -Wswitch-default -Wstrict-null-sentinel -Winvalid-pch")
        set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -Wswitch-default -Wstack-protector")
        #for later https://stackoverflow.com/questions/5088460/flags-to-enable-thorough-and-verbose-g-warnings/9862800#9862800:
        #set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -pedantic -Wextra -Wcast-align -Wcast-qual -Wctor-dtor-privacy -Wdisabled-optimization ")
        #set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -Wformat=2 -Winit-self -Wlogical-op -Wmissing-declarations -Wmissing-include-dirs -Wnoexcept")
        #set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -Wold-style-cast -Woverloaded-virtual -Wredundant-decls -Wshadow -Wsign-conversion -Wsign-promo")
        #set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -Wstrict-null-sentinel -Wstrict-overflow=5 -Wswitch-default -Wundef -Wno-unused")
        #set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -Winline -Winvalid-pch -Wswitch-enum -Wzero-as-null-pointer-constant -Wuseless-cast")
        #set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -Weffc++")
    endif()
    if(MINGW)
        # Disable some warnings on MinGW
        if(OD_ENABLE_WARNINGS)
            set(OD_OPT_FLAGS "${OD_OPT_FLAGS} -Wno-unused-local-typedefs -Wno-format")
        endif()

        # This includes enough debug information to get something useful
        # from Dr. Mingw while keeping binary size down. Almost useless
        # with gdb, though.
        set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -ggdb0 -gstabs2")
    endif()
endif()

# Set compiler options in MSVC
if(WIN32 AND MSVC)
    #Set some extra compiler flags
    #TODO - investigate if these are what they should be
    set(PLATFORM_C_FLAGS "/W3 /MD /Od /DWIN32 /D_WINDOWS /Gm /Gy /fp:fast /ZI /EHsc")
    set(PLATFORM_C_FLAGS_DEBUG "/W3 /MDd /Od /Gm /Gy /fp:fast /ZI /DOD_DEBUG" )

    # Set the application version
    add_definitions(/DOD_VERSION="${OD_MAJOR_VERSION}.${OD_MINOR_VERSION}.${OD_PATCH_LEVEL}")

    # Set the data paths
    add_definitions(/DOD_DATA_PATH="${OD_DATA_PATH}")
    add_definitions(/DOD_PLUGINS_CFG_PATH="${OD_PLUGINS_CFG_PATH}")

    set(CMAKE_CXX_FLAGS "${PLATFORM_C_FLAGS}")
    set(CMAKE_CXX_FLAGS_RELEASE "${PLATFORM_C_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUG "${PLATFORM_C_FLAGS_DEBUG}")
endif()

if(WIN32)
    #Tell OIS we are linking dynamically for dllexport/dllimport attributes.
    #TODO: Find out if this is needed.
    add_definitions(-DOIS_DYNAMIC_LIB)
endif()

set(CMAKE_CXX_FLAGS "${OD_CXX11_FLAGS} ${OD_OPT_FLAGS} ${CMAKE_CXX_FLAGS}")
message(STATUS "CMake CXX Flags: " ${CMAKE_CXX_FLAGS})

##################################
#### Source files (.cpp) #########
##################################

#Add new .cpp files here so that they get compiled
#set(AS_SOURCEFILES
    #AngelScript sources
#    ${ANGELSCRIPT_SRC_DIR}/as_atomic.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_builder.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_bytecode.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc.cpp
#Disabling exotic platforms for now
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_arm.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_mips.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_ppc.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_ppc_64.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_sh4.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_x64_gcc.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_x64_msvc.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_x64_mingw.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_x86.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_xenon.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_compiler.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_configgroup.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_context.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_datatype.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_gc.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_generic.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_globalproperty.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_memory.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_module.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_objecttype.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_outputbuffer.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_parser.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_restore.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_scriptcode.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_scriptengine.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_scriptfunction.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_scriptnode.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_scriptobject.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_string.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_string_util.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_thread.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_tokenizer.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_typeinfo.cpp
#    ${ANGELSCRIPT_SRC_DIR}/as_variablescope.cpp

    #AngelScript Addon sources
#    ${ANGELSCRIPT_ADDON_DIR}/scriptarray/scriptarray.cpp
#    ${ANGELSCRIPT_ADDON_DIR}/scriptbuilder/scriptbuilder.cpp
#    ${ANGELSCRIPT_ADDON_DIR}/scripthelper/scripthelper.cpp
#    ${ANGELSCRIPT_ADDON_DIR}/scriptstdstring/scriptstdstring.cpp
#)
set(OD_SOURCEFILES

    #OpenDungeons sources
    ${SRC}/ai/AIManager.cpp
    ${SRC}/ai/BaseAI.cpp
    ${SRC}/ai/KeeperAI.cpp

    ${SRC}/camera/CameraManager.cpp
    ${SRC}/camera/HermiteCatmullSpline.cpp

    ${SRC}/creatureeffect/CreatureEffect.cpp
    ${SRC}/creatureeffect/CreatureEffectExplosion.cpp
    ${SRC}/creatureeffect/CreatureEffectHeal.cpp
    ${SRC}/creatureeffect/CreatureEffectSlap.cpp
    ${SRC}/creatureeffect/CreatureEffectSpeedChange.cpp

    ${SRC}/creaturemood/CreatureMood.cpp
    ${SRC}/creaturemood/CreatureMoodAwakness.cpp
    ${SRC}/creaturemood/CreatureMoodCreature.cpp
    ${SRC}/creaturemood/CreatureMoodFee.cpp
    ${SRC}/creaturemood/CreatureMoodHunger.cpp
    ${SRC}/creaturemood/CreatureMoodHpLoss.cpp
    ${SRC}/creaturemood/CreatureMoodTurnsWithoutFight.cpp

    ${SRC}/entities/Building.cpp
    ${SRC}/entities/BuildingObject.cpp
    ${SRC}/entities/ChickenEntity.cpp
    ${SRC}/entities/CraftedTrap.cpp
    ${SRC}/entities/Creature.cpp
    ${SRC}/entities/CreatureAction.cpp
    ${SRC}/entities/CreatureDefinition.cpp
    ${SRC}/entities/DoorEntity.cpp
    ${SRC}/entities/EntityBase.cpp
    ${SRC}/entities/EntityLoading.cpp
    ${SRC}/entities/GameEntity.cpp
    ${SRC}/entities/GameEntityType.cpp
    ${SRC}/entities/GiftBoxEntity.cpp
    ${SRC}/entities/MapLight.cpp
    ${SRC}/entities/MissileBoulder.cpp
    ${SRC}/entities/MissileObject.cpp
    ${SRC}/entities/MissileOneHit.cpp
    ${SRC}/entities/MovableGameEntity.cpp
    ${SRC}/entities/PersistentObject.cpp
    ${SRC}/entities/RenderedMovableEntity.cpp
    ${SRC}/entities/ResearchEntity.cpp
    ${SRC}/entities/SmallSpiderEntity.cpp
    ${SRC}/entities/Tile.cpp
    ${SRC}/entities/TileFunctions.cpp
    ${SRC}/entities/TrapEntity.cpp
    ${SRC}/entities/TreasuryObject.cpp
    ${SRC}/entities/Weapon.cpp

    ${SRC}/game/Player.cpp
    ${SRC}/game/PlayerFunctions.cpp
    ${SRC}/game/PlayerSelection.cpp
    ${SRC}/game/Research.cpp
    ${SRC}/game/ResearchManager.cpp
    ${SRC}/game/Seat.cpp
    ${SRC}/game/SeatFunctions.cpp

    ${SRC}/gamemap/GameMap.cpp
    ${SRC}/gamemap/MapLoader.cpp
    ${SRC}/gamemap/MiniMap.cpp
    ${SRC}/gamemap/MiniMapCamera.cpp
    ${SRC}/gamemap/TileContainer.cpp
    ${SRC}/gamemap/TileSet.cpp

    ${SRC}/giftboxes/GiftBoxResearch.cpp

    ${SRC}/goals/Goal.cpp
    ${SRC}/goals/GoalClaimNTiles.cpp
    ${SRC}/goals/GoalLoading.cpp
    ${SRC}/goals/GoalKillAllEnemies.cpp
    ${SRC}/goals/GoalMineNGold.cpp
    ${SRC}/goals/GoalProtectCreature.cpp
    ${SRC}/goals/GoalProtectDungeonTemple.cpp

    ${SRC}/modes/AbstractApplicationMode.cpp
    ${SRC}/modes/Command.cpp
    ${SRC}/modes/ConsoleCommands.cpp
    ${SRC}/modes/ConsoleInterface.cpp

=== source/tests/CMakeLists.txt ===
include(BoostTestTargets)

add_boost_test(Random
        SOURCES
        test_Random.cpp
        "${SRC}/utils/Random.h"
        "${SRC}/utils/Random.cpp")

add_boost_test(ODPacket
        SOURCES
        test_ODPacket.cpp
        "${SRC}/network/ODPacket.h"
        "${SRC}/network/ODPacket.cpp"
        LIBRARIES
        ${SFML_LIBRARIES})

add_boost_test(ConsoleInterface
        SOURCES
        test_ConsoleInterface.cpp
        "${SRC}/modes/AbstractModeManager.h"
        "${SRC}/modes/ConsoleInterface.h"
        "${SRC}/modes/ConsoleInterface.cpp"
        "${SRC}/modes/Command.h"
        "${SRC}/modes/Command.cpp")

add_boost_test(CreatureDefinition
        SOURCES
        test_CreatureDefinition.cpp
        "${SRC}/entities/CreatureDefinition.cpp"
        "${SRC}/network/ODPacket.cpp"
        "${SRC}/rooms/RoomType.cpp"
        "${SRC}/utils/LogManager.cpp"
        "${SRC}/utils/Helper.cpp"
        LIBRARIES
        ${SFML_LIBRARIES}
        ${Boost_LIBRARIES}
        ${OGRE_LIBRARIES})

add_boost_test(Goal
        SOURCES
        test_Goal.cpp
        "${SRC}/goals/Goal.cpp")

add_boost_test(Tile
        SOURCES
        test_Tile.cpp
        "${SRC}/entities/Tile.cpp"
        "${SRC}/entities/EntityBase.cpp"
        "${SRC}/game/Player.cpp"
        "${SRC}/game/Seat.cpp"
        "${SRC}/goals/Goal.cpp"
        "${SRC}/network/ODPacket.cpp"
        "${SRC}/utils/Helper.cpp"
        "${SRC}/utils/LogManager.cpp"
        "${SRC}/tests/mocks/SeatMockImpl.cpp"
        "${SRC}/tests/mocks/TileMockImpl.cpp"
        LIBRARIES
        ${Boost_LIBRARIES}
        ${OGRE_LIBRARIES}
        ${SFML_LIBRARIES})

add_boost_test(Pathfinding
        SOURCES
        test_Pathfinding.cpp)

=== debian/changelog ===
opendungeons (0.6.0-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sat, 17 Oct 2015 20:02:23 -0700

opendungeons (0.6.0-1~getdeb2~vivid) vivid; urgency=medium

  * New upstream version (LP: #1502597)
    **Highlights:**

    * New spell logic with cooldown, targets and cost management
    * Fancy new spells: Heal, Explosion and Haste
    * Particle effects!
    * Reworked library logic and made research order configurable
    * New creature overlays that show the creatures' mood
    * Customisable creature sound effects!
    * Doors to better block enemies and macromanage allies
    * In-game settings menu support!
    * New claimed walls graphics and various other graphical improvements
    * New minimap camera with real-time rendering
    * Dedicated server support with command-line parameters

    **General:**

    * Allow to display callstack when a crash occurs with MSVS2013 versions
    (#701)
    * Homogenize how the callstack is displayed independently from platform
    (#701)
    * Training room max training level is configurable in config/rooms.cfg
    (#698)
    * Simplifications on mode handling (#670)
    * Support for command-line options (see --help for details) (#688)
    * Support for running the game as a dedicated (standalone) server (#665)
    * Cheat added to unlock all skills at once (for testing purposes) (#729)
    * De-hardcoded main menu music, now configurable (#632)
    * Readded support for Direct3D renderer on Windows (#799)

    **Gameplay:**

    * New "Heal" and "Explosion" spells (#706)
    * New "Haste" spell (#842)
    * Spell logic implementation and improvements:
      - Initial spell logic: cooldown, targets and cost (#683)
      - Spells are triggered only when relevant and "Spawn Worker" has no
        cooldown (#710)
      - Spell cooldown is shown on the spell icon via a smooth animation
      (#867)
      - Handle spells through a spell manager (#727)
    * Reworked library logic:
      - Working at the library generates grimoires that represent a fixed
        amount of skill points (#817)
      - Rooms and spells are unlocked when their skill points requirements
      are fulfilled (#817)
      - Easily configurable research queue (#817 #869)
      - Handle researches through a research manager (#843)
    * Implemented doors (#732)
    * Warn the player when they place a trap without having a workshop to
    craft it (#671)
    * Do not trigger payday messages if no fighting creatures are alive
    (#715)
    * Prevent slapping creatures with a right-click when dropping them (#722)
    * Creatures bank account: payday gold is accumulated and dropped on
    death, unless the creature leave the dungeon (#704)
    * Improved fighter creature behaviour so that they go to sleep or eat
    when tired or hungry, if they are not forced to do a given task (#807)
    * Portal wave AI configuration: range and strategy (#855)

    **Levels:**

    * Removed levels redundancy between skirmish and multiplayer maps:
      multiplayer maps can now be loaded in singleplayer vs AI from the
      skirmish menu (#696)
    * New multiplayer map "Ruins of the Confluent" (#847)
    * Improvements to the "The Bridge" level (#673)
    * Drop unused intermediate tile fullness values in the editor (#590)

    **Graphics:**

    * Better-looking claimed walls models (#808 #818)
    * Many tileset improvements (#273 #694)
    * Particle effects support on entities (#683 #709 #710 #711)
    * Add a random offset to creature position on their tile to prevent
      meshes overlap (#660 #697)
    * Gold stacks have random orientations and offsets (#725)
    * Rotate tables in the workshop and place creatures accordingly (#573)
    * Increase size of the scarab nose (#721)

    **Sounds:**

    * Add support for customisable creature sound effects (#126)
    * Normalised all sounds and made them mono (#888)

    **UI:**

    * In-game settings menu, replaces the default OGRE launcher (#3)
    * In-game and editor tabs are now displayed as thematic icons (#742)
    * Research UI improvements:
      - Customisable research order with automatic dependency management
      (#577)
      - Progress bar for the research icons (#840 #867)
      - Buttons to unselect all skills or autofill the queue (#851)
    * Creature overlays improvements:
      - Display 8 health states instead of 4 in the skull flags (#733)
      - Display an overlay with the creature's mood (#734)
    * New minimap camera that shows the actual map models in top-down view
    (#530)
    * Creature selection relies on selected tile instead of ray casts (#785)
    * Display picked up entities at a fixed size regardless of camera zoom
    (#794)
    * Made UI buttons more responsive to multiple clicks (#343)
    * Allow to toggle the keeper hand and tile selector with F9 (#684)
    * Improved cost tooltips for rooms, traps and spells (#713)
    * Display human-readable name for rooms, traps and spells instead of
    engine name (#863)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 04 Oct 2015 20:34:41 +0200

opendungeons (0.5.0-1~getdeb2~vivid) vivid; urgency=medium

  * New upstream version
    **Highlights:**

    * Fog of War implemented
    * Spell system implemented with two spells: Summon Worker and Call to War
    * Research logic and UI implemented: rooms, spells and traps should now
    be researched in the library
    * Saving/loading feature
    * Creatures pay day implemented
    * Portals can be claimed and can generate rogue waves that attack keepers
    * Traps must be crafted in the workshop
    * Creatures mood implemented
    * Creature overlays show relevant information on hover (or when pressing
    ALT)
    * Many GUI improvements

    **General:**

    * Saving/loading feature (#531 #534)
    * Many hardcoded values were made configurable via config files
    * Rooms and traps prices are configurable (#346)


=== debian/control ===
Source: opendungeons
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>= 9),
               cmake,
               libogre-1.9-dev,
               libboost1.55-dev,
               libsfml-dev,
               libois-dev,
               libcegui-0.8-dev,
               libopenal-dev,
               libboost-filesystem1.55-dev,
               libboost-locale1.55-dev,
               libboost-test1.55-dev,
               libboost-program-options1.55-dev,
               pkg-config
Standards-Version: 3.9.6
Homepage: http://opendungeons.sourceforge.net/

Package: opendungeons
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         opendungeons-data (= ${source:Version})
Description: RTS game with elements from Dungeon Keeper and Evil Genius
 OpenDungeons is an open source, real time strategy game
 sharing game elements with the Dungeon Keeper series and
 Evil Genius. Players build an underground dungeon which is
 inhabited by creatures. Players fight each other for
 control of the underground by indirectly commanding their
 creatures, directly casting spells in combat, and luring
 enemies into sinister traps. 

Package: opendungeons-data
Architecture: all
Depends: ${misc:Depends}
Description: RTS game with elements from Dungeon Keeper and Evil Genius (data package)
 OpenDungeons is an open source, real time strategy game
 sharing game elements with the Dungeon Keeper series and
 Evil Genius. Players build an underground dungeon which is
 inhabited by creatures. Players fight each other for
 control of the underground by indirectly commanding their
 creatures, directly casting spells in combat, and luring
 enemies into sinister traps. 
 .
 (This package contains the data files).

## opendungeons 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,12 +13,10 @@
     set(PROJECT_BINARY_NAME "opendungeons")
 endif()
 
-set(AS_LIBRARY_NAME "angelscript")
-
 # Project version
 set(OD_MAJOR_VERSION 0)
-set(OD_MINOR_VERSION 6)
-set(OD_PATCH_LEVEL   0)
+set(OD_MINOR_VERSION 7)
+set(OD_PATCH_LEVEL   1)
 
 # Set the project version ready to be used in the code.
 if(NOT MSVC)
@@ -29,6 +27,7 @@
 if(WIN32)
     set(OD_DATA_PATH ".")
     set(OD_PLUGINS_CFG_PATH ".")
+    set(OD_BIN_PATH ${CMAKE_INSTALL_PREFIX})
 else()
     # Set binary and data install locations if we want to use the installer
     set(OD_BIN_PATH ${CMAKE_INSTALL_PREFIX}/games CACHE PATH "Absolute path to the game binary directory")
@@ -65,10 +64,6 @@
 
 #project paths
 set(SRC "${CMAKE_SOURCE_DIR}/source")
-#set(DEPENDENCIES_DIR "${CMAKE_SOURCE_DIR}/dependencies")
-#set(ANGELSCRIPT_DIR "${DEPENDENCIES_DIR}/angelscript")
-#set(ANGELSCRIPT_SRC_DIR "${ANGELSCRIPT_DIR}/angelscript/source")
-#set(ANGELSCRIPT_ADDON_DIR "${ANGELSCRIPT_DIR}/add_on")
 
 #cmake paths
 set(CMAKE_CONFIG_DIR "${CMAKE_SOURCE_DIR}/cmake/config")
@@ -88,6 +83,43 @@
     add_definitions("-DOD_DEBUG")
 endif()
 
+# From Boost cmake file
+
+# We want to differentiate MinGW64 and MinGW32
+if(WIN32 AND MINGW)
+    exec_program(${CMAKE_CXX_COMPILER} ARGS ${CMAKE_CXX_COMPILER_ARG1} -dumpversion OUTPUT_VARIABLE OD_MINGW_COMPILER_VERSION)
+    string(REGEX REPLACE "([0-9])\\.([0-9])(\\.[0-9])?" "\\1\\2" OD_MINGW_COMPILER_VERSION ${OD_MINGW_COMPILER_VERSION})
+    message(STATUS "OD_MINGW_COMPILER_VERSION: ${OD_MINGW_COMPILER_VERSION}")
+endif()
+
+## We check for dependencies
+set(OD_DEPENDENCIES_DIR "$ENV{OD_DEPS}" CACHE PATH "Path to prebuilt OD dependencies")
+if(OD_DEPENDENCIES_DIR)
+    if(WIN32 AND MINGW)
+        set(OD_ARCH_SUFIX "/mingw${OD_MINGW_COMPILER_VERSION}")
+    elseif(WIN32 AND MSVC)
+        set(OD_ARCH_SUFIX "/msvc")
+    else()
+        set(OD_ARCH_SUFIX "")
+    endif()
+    set(OD_DEP_SEARCH_PATH
+    # Boost binaries contains compiler name. They can be put in the same directory
+        ${OD_DEPENDENCIES_DIR}/boost
+        ${OD_DEPENDENCIES_DIR}/stage/lib
+        ${OD_DEPENDENCIES_DIR}/cegui/include/cegui-0
+        ${OD_DEPENDENCIES_DIR}/cegui/lib${OD_ARCH_SUFIX}
+        ${OD_DEPENDENCIES_DIR}/ogresdk/include
+        ${OD_DEPENDENCIES_DIR}/ogresdk/lib${OD_ARCH_SUFIX}
+        ${OD_DEPENDENCIES_DIR}/sfml/include
+        ${OD_DEPENDENCIES_DIR}/sfml/lib${OD_ARCH_SUFIX}
+        )
+
+    # hints to the find_package calls
+    set(CMAKE_PREFIX_PATH ${OD_DEP_SEARCH_PATH} ${CMAKE_PREFIX_PATH})
+
+    message(STATUS "Search path dependencies: ${OD_DEP_SEARCH_PATH}")
+endif()
+
 ##################################
 #### ExplicitCompilerFlags #######
 ##################################
@@ -107,10 +139,11 @@
     include(CheckCXXCompilerFlag)
     if(NOT OD_CXX11_FLAGS)
         CHECK_CXX_COMPILER_FLAG("-std=c++11" OD_CXX11_FLAG_SUPPORTED)
+        CHECK_CXX_COMPILER_FLAG("-std=gnu++11" OD_CXXGNU11_FLAG_SUPPORTED)
         # MinGW supports CXX11 flag but do not compile with it. However, it works with gnu++11
         if(OD_CXX11_FLAG_SUPPORTED AND NOT MINGW)
             set(OD_CXX11_FLAGS "-std=c++11" CACHE STRING "Compilation flags to enable C++11 support" FORCE)
-        else()
+        elseif(OD_CXX11_FLAG_SUPPORTED)
             set(OD_CXX11_FLAGS "-std=gnu++11" CACHE STRING "Compilation flags to enable C++11 support" FORCE)
         endif()
     endif()
@@ -173,132 +206,80 @@
 ##################################
 
 #Add new .cpp files here so that they get compiled
-#set(AS_SOURCEFILES
-    #AngelScript sources
-#    ${ANGELSCRIPT_SRC_DIR}/as_atomic.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_builder.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_bytecode.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc.cpp
-#Disabling exotic platforms for now
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_arm.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_mips.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_ppc.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_ppc_64.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_sh4.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_x64_gcc.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_x64_msvc.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_x64_mingw.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_x86.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_callfunc_xenon.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_compiler.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_configgroup.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_context.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_datatype.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_gc.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_generic.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_globalproperty.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_memory.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_module.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_objecttype.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_outputbuffer.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_parser.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_restore.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_scriptcode.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_scriptengine.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_scriptfunction.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_scriptnode.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_scriptobject.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_string.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_string_util.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_thread.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_tokenizer.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_typeinfo.cpp
-#    ${ANGELSCRIPT_SRC_DIR}/as_variablescope.cpp
-
-    #AngelScript Addon sources
-#    ${ANGELSCRIPT_ADDON_DIR}/scriptarray/scriptarray.cpp
-#    ${ANGELSCRIPT_ADDON_DIR}/scriptbuilder/scriptbuilder.cpp
-#    ${ANGELSCRIPT_ADDON_DIR}/scripthelper/scripthelper.cpp
-#    ${ANGELSCRIPT_ADDON_DIR}/scriptstdstring/scriptstdstring.cpp
-#)
 set(OD_SOURCEFILES
 
     #OpenDungeons sources
+    ${SRC}/ai/AIFactory.cpp
     ${SRC}/ai/AIManager.cpp
     ${SRC}/ai/BaseAI.cpp
     ${SRC}/ai/KeeperAI.cpp
+    ${SRC}/ai/KeeperAIType.cpp
 
     ${SRC}/camera/CameraManager.cpp
     ${SRC}/camera/HermiteCatmullSpline.cpp
+    ${SRC}/camera/CullingManager.cpp
+    ${SRC}/camera/CullingVectorManager.cpp
+    ${SRC}/camera/SlopeWalk.cpp
+
+    ${SRC}/creatureaction/CreatureAction.cpp
+    ${SRC}/creatureaction/CreatureActionCarryEntity.cpp
+    ${SRC}/creatureaction/CreatureActionClaimGroundTile.cpp
+    ${SRC}/creatureaction/CreatureActionClaimWallTile.cpp
+    ${SRC}/creatureaction/CreatureActionDigTile.cpp
+    ${SRC}/creatureaction/CreatureActionEatChicken.cpp
+    ${SRC}/creatureaction/CreatureActionFight.cpp
+    ${SRC}/creatureaction/CreatureActionFightFriendly.cpp
+    ${SRC}/creatureaction/CreatureActionFindHome.cpp
+    ${SRC}/creatureaction/CreatureActionFlee.cpp
+    ${SRC}/creatureaction/CreatureActionGetFee.cpp
+    ${SRC}/creatureaction/CreatureActionGrabEntity.cpp
+    ${SRC}/creatureaction/CreatureActionLeaveDungeon.cpp
+    ${SRC}/creatureaction/CreatureActionSearchEntityToCarry.cpp
+    ${SRC}/creatureaction/CreatureActionSearchFood.cpp
+    ${SRC}/creatureaction/CreatureActionSearchGroundTileToClaim.cpp
+    ${SRC}/creatureaction/CreatureActionSearchJob.cpp
+    ${SRC}/creatureaction/CreatureActionSearchTileToDig.cpp
+    ${SRC}/creatureaction/CreatureActionSearchWallTileToClaim.cpp
+    ${SRC}/creatureaction/CreatureActionSleep.cpp
+    ${SRC}/creatureaction/CreatureActionStealFreeGold.cpp
+    ${SRC}/creatureaction/CreatureActionUseRoom.cpp
+    ${SRC}/creatureaction/CreatureActionWalkToTile.cpp
+
+    ${SRC}/creaturebehaviour/CreatureBehaviour.cpp
+    ${SRC}/creaturebehaviour/CreatureBehaviourAttackEnemy.cpp
+    ${SRC}/creaturebehaviour/CreatureBehaviourEngageNaturalEnemy.cpp
+    ${SRC}/creaturebehaviour/CreatureBehaviourFleeWhenWeak.cpp
+    ${SRC}/creaturebehaviour/CreatureBehaviourLeaveDungeonWhenFurious.cpp
+    ${SRC}/creaturebehaviour/CreatureBehaviourManager.cpp
 
     ${SRC}/creatureeffect/CreatureEffect.cpp
+    ${SRC}/creatureeffect/CreatureEffectDefense.cpp
     ${SRC}/creatureeffect/CreatureEffectExplosion.cpp
     ${SRC}/creatureeffect/CreatureEffectHeal.cpp
+    ${SRC}/creatureeffect/CreatureEffectManager.cpp
     ${SRC}/creatureeffect/CreatureEffectSlap.cpp
     ${SRC}/creatureeffect/CreatureEffectSpeedChange.cpp
+    ${SRC}/creatureeffect/CreatureEffectStrengthChange.cpp
 
     ${SRC}/creaturemood/CreatureMood.cpp
-    ${SRC}/creaturemood/CreatureMoodAwakness.cpp
+    ${SRC}/creaturemood/CreatureMoodWakefulness.cpp
     ${SRC}/creaturemood/CreatureMoodCreature.cpp
     ${SRC}/creaturemood/CreatureMoodFee.cpp
     ${SRC}/creaturemood/CreatureMoodHunger.cpp
     ${SRC}/creaturemood/CreatureMoodHpLoss.cpp
+    ${SRC}/creaturemood/CreatureMoodManager.cpp
     ${SRC}/creaturemood/CreatureMoodTurnsWithoutFight.cpp
 
+    ${SRC}/creatureskill/CreatureSkill.cpp
+    ${SRC}/creatureskill/CreatureSkillDefenseSelf.cpp
+    ${SRC}/creatureskill/CreatureSkillExplosion.cpp
+    ${SRC}/creatureskill/CreatureSkillHasteSelf.cpp
+    ${SRC}/creatureskill/CreatureSkillHealSelf.cpp
+    ${SRC}/creatureskill/CreatureSkillManager.cpp
+    ${SRC}/creatureskill/CreatureSkillMeleeFight.cpp
+    ${SRC}/creatureskill/CreatureSkillMissileLaunch.cpp
+    ${SRC}/creatureskill/CreatureSkillSlow.cpp
+    ${SRC}/creatureskill/CreatureSkillStrengthSelf.cpp
+    ${SRC}/creatureskill/CreatureSkillWeak.cpp
+
     ${SRC}/entities/Building.cpp
-    ${SRC}/entities/BuildingObject.cpp
-    ${SRC}/entities/ChickenEntity.cpp
-    ${SRC}/entities/CraftedTrap.cpp
-    ${SRC}/entities/Creature.cpp
-    ${SRC}/entities/CreatureAction.cpp
-    ${SRC}/entities/CreatureDefinition.cpp
-    ${SRC}/entities/DoorEntity.cpp
-    ${SRC}/entities/EntityBase.cpp
-    ${SRC}/entities/EntityLoading.cpp
-    ${SRC}/entities/GameEntity.cpp
-    ${SRC}/entities/GameEntityType.cpp
-    ${SRC}/entities/GiftBoxEntity.cpp
-    ${SRC}/entities/MapLight.cpp
-    ${SRC}/entities/MissileBoulder.cpp
-    ${SRC}/entities/MissileObject.cpp
-    ${SRC}/entities/MissileOneHit.cpp
-    ${SRC}/entities/MovableGameEntity.cpp
-    ${SRC}/entities/PersistentObject.cpp
-    ${SRC}/entities/RenderedMovableEntity.cpp
-    ${SRC}/entities/ResearchEntity.cpp
-    ${SRC}/entities/SmallSpiderEntity.cpp
-    ${SRC}/entities/Tile.cpp
-    ${SRC}/entities/TileFunctions.cpp
-    ${SRC}/entities/TrapEntity.cpp
-    ${SRC}/entities/TreasuryObject.cpp
-    ${SRC}/entities/Weapon.cpp
-
-    ${SRC}/game/Player.cpp
-    ${SRC}/game/PlayerFunctions.cpp
-    ${SRC}/game/PlayerSelection.cpp
-    ${SRC}/game/Research.cpp
-    ${SRC}/game/ResearchManager.cpp
-    ${SRC}/game/Seat.cpp
-    ${SRC}/game/SeatFunctions.cpp
-
-    ${SRC}/gamemap/GameMap.cpp
-    ${SRC}/gamemap/MapLoader.cpp
-    ${SRC}/gamemap/MiniMap.cpp
-    ${SRC}/gamemap/MiniMapCamera.cpp
-    ${SRC}/gamemap/TileContainer.cpp
-    ${SRC}/gamemap/TileSet.cpp
-
-    ${SRC}/giftboxes/GiftBoxResearch.cpp
-
-    ${SRC}/goals/Goal.cpp
-    ${SRC}/goals/GoalClaimNTiles.cpp
-    ${SRC}/goals/GoalLoading.cpp
-    ${SRC}/goals/GoalKillAllEnemies.cpp
-    ${SRC}/goals/GoalMineNGold.cpp
-    ${SRC}/goals/GoalProtectCreature.cpp
-    ${SRC}/goals/GoalProtectDungeonTemple.cpp
-
-    ${SRC}/modes/AbstractApplicationMode.cpp
-    ${SRC}/modes/Command.cpp
-    ${SRC}/modes/ConsoleCommands.cpp
-    ${SRC}/modes/ConsoleInterface.cpp

=== source/tests/CMakeLists.txt ===
include(BoostTestTargets)

add_boost_test(00-Random
        SOURCES
        test_Random.cpp
        ${SRC}/utils/Random.h
        ${SRC}/utils/Random.cpp)

add_boost_test(00-ODPacket
        SOURCES
        test_ODPacket.cpp
        ${SRC}/network/ODPacket.h
        ${SRC}/network/ODPacket.cpp
        LIBRARIES
        ${SFML_LIBRARIES})

add_boost_test(00-ConsoleInterface
        SOURCES
        test_ConsoleInterface.cpp
        ${SRC}/modes/AbstractModeManager.h
        ${SRC}/modes/ConsoleInterface.h
        ${SRC}/modes/ConsoleInterface.cpp
        ${SRC}/modes/Command.h
        ${SRC}/modes/Command.cpp)

add_boost_test(00-Goal
        SOURCES
        test_Goal.cpp
        ${SRC}/goals/Goal.cpp
        ${SRC}/utils/LogManager.cpp
        ${SRC}/utils/LogSinkConsole.cpp
        LIBRARIES
        ${SFML_LIBRARIES}
        ${Boost_FILESYSTEM_LIBRARY_RELEASE}
        ${Boost_SYSTEM_LIBRARY_RELEASE})

add_boost_test(00-Pathfinding
        SOURCES
        test_Pathfinding.cpp)

add_boost_test(aa-LaunchGame
        SOURCES
        ${SRC}/tests/mocks/ODClientTest.cpp
        ${SRC}/game/SeatData.cpp
        ${SRC}/game/SkillType.cpp
        ${SRC}/network/ClientNotification.cpp
        ${SRC}/network/ODPacket.cpp
        ${SRC}/network/ODSocketClient.cpp
        ${SRC}/network/ODSocketServer.cpp
        ${SRC}/network/ServerMode.cpp
        ${SRC}/network/ServerNotification.cpp
        ${SRC}/utils/Helper.cpp
        ${SRC}/utils/LogManager.cpp
        ${SRC}/utils/LogSinkConsole.cpp
        test_LaunchGame.cpp
        LIBRARIES
        ${SFML_LIBRARIES}
        ${Boost_FILESYSTEM_LIBRARY_RELEASE}
        ${Boost_SYSTEM_LIBRARY_RELEASE}
        ${OGRE_LIBRARIES})

add_boost_test(aa-TestCreatures
        SOURCES
        ${SRC}/tests/mocks/ODClientTest.cpp
        ${SRC}/game/SeatData.cpp
        ${SRC}/game/SkillType.cpp
        ${SRC}/network/ClientNotification.cpp
        ${SRC}/network/ODPacket.cpp
        ${SRC}/network/ODSocketClient.cpp
        ${SRC}/network/ODSocketServer.cpp
        ${SRC}/network/ServerMode.cpp
        ${SRC}/network/ServerNotification.cpp
        ${SRC}/utils/Helper.cpp
        ${SRC}/utils/LogManager.cpp
        ${SRC}/utils/LogSinkConsole.cpp
        test_Creatures.cpp
        LIBRARIES
        ${SFML_LIBRARIES}
        ${Boost_FILESYSTEM_LIBRARY_RELEASE}
        ${Boost_SYSTEM_LIBRARY_RELEASE}
        ${OGRE_LIBRARIES})

add_boost_test(aa-TestRooms
        SOURCES
        ${SRC}/tests/mocks/ODClientTest.cpp
        ${SRC}/game/SeatData.cpp
        ${SRC}/game/SkillType.cpp
        ${SRC}/network/ClientNotification.cpp
        ${SRC}/network/ODPacket.cpp
        ${SRC}/network/ODSocketClient.cpp
        ${SRC}/network/ODSocketServer.cpp
        ${SRC}/network/ServerMode.cpp
        ${SRC}/network/ServerNotification.cpp
        ${SRC}/rooms/RoomType.cpp
        ${SRC}/utils/Helper.cpp
        ${SRC}/utils/LogManager.cpp
        ${SRC}/utils/LogSinkConsole.cpp
        test_Rooms.cpp
        LIBRARIES
        ${SFML_LIBRARIES}
        ${Boost_FILESYSTEM_LIBRARY_RELEASE}
        ${Boost_SYSTEM_LIBRARY_RELEASE}
        ${OGRE_LIBRARIES})

add_boost_test(ab-TestTraps
        SOURCES
        ${SRC}/tests/mocks/ODClientTest.cpp
        ${SRC}/game/SeatData.cpp
        ${SRC}/game/SkillType.cpp
        ${SRC}/network/ClientNotification.cpp
        ${SRC}/network/ODPacket.cpp
        ${SRC}/network/ODSocketClient.cpp
        ${SRC}/network/ODSocketServer.cpp
        ${SRC}/network/ServerMode.cpp
        ${SRC}/network/ServerNotification.cpp
        ${SRC}/rooms/RoomType.cpp
        ${SRC}/utils/Helper.cpp
        ${SRC}/utils/LogManager.cpp
        ${SRC}/utils/LogSinkConsole.cpp
        test_Traps.cpp
        LIBRARIES
        ${SFML_LIBRARIES}
        ${Boost_FILESYSTEM_LIBRARY_RELEASE}
        ${Boost_SYSTEM_LIBRARY_RELEASE}
        ${OGRE_LIBRARIES})

=== debian/changelog ===
opendungeons (0.7.1-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Wed, 21 Sep 2016 11:22:46 -0700

opendungeons (0.7.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 06 Sep 2016 18:14:22 +0200

opendungeons (0.7.0-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 30 Jul 2016 22:44:43 +0200

opendungeons (0.6.0-1~getdeb3~wily) wily; urgency=medium

  * Rebuild for wily

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 21 Oct 2015 22:14:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: debhelper (>= 9),
                cmake,
                libogre-1.9-dev,
-               libboost1.55-dev,
+               libboost-dev,
                libsfml-dev,
                libois-dev,
                libcegui-0.8-dev,
                libopenal-dev,
-               libboost-filesystem1.55-dev,
-               libboost-locale1.55-dev,
-               libboost-test1.55-dev,
-               libboost-program-options1.55-dev,
+               libboost-filesystem-dev,
+               libboost-locale-dev,
+               libboost-test-dev,
+               libboost-program-options-dev,
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://opendungeons.sourceforge.net/
 
 Package: opendungeons

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
https://github.com/OpenDungeons/OpenDungeons/releases \
    (?:.*/)?archive/([\d\.]+)\.tar\.gz
